Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters
Interface ValueGenerator

All Superinterfaces:
  Initializable

All Known Implementing Classes:
  AfterContactTimeGenerator, ConstantValueGenerator, ContactPatienceTimeGenerator, ContactTimeGenerator, MinValueGenerator, MultiPeriodGen, RandomValueGenerator

    public interface ValueGenerator

extends Initializable

Represents a value generator for random variates used for simulating contact centers. Implementations of this interface are linked to contact center objects and usually uses a random variate generator to obtain some continuous variates. The generator used or some adjustments made to the value can depend on the concerned contact, the object containing this value generator, the simulation time, etc. This interface defines a method similar to `RandomVariateGen.nextDouble()` but taking a `Contact` object as an argument. This way, random values can depend on the particular contact.

Method Summary
`void` | `init()` Initializes the generator at the beginning of the simulation.
`double` | `nextDouble(Contact contact)` Generates and returns a new value for the contact `contact`.

Method Detail

### nextDouble

    double nextDouble(Contact contact)

  Generates and returns a new value for the contact `contact`. If `contact` is `null` and this is not allowed by the implementation, this method should throw a `NullPointerException`.

  Parameters:
    `contact` - the contact being concerned.
  Returns:
    the generated value.
  Throws:
    `NullPointerException` - if `contact` is illegally `null`.

### init

    void init()

  Initializes the generator at the beginning of the simulation.

  Specified by:
    `init` in interface `Initializable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.